get
/api/v2/actions/eventsList action status and note events. WatchLLM extension, not confirmed Promptwatch public REST parity.
List action status and note events. WatchLLM extension, not confirmed Promptwatch public REST parity.
Requires bearer API key
Parameters
actionId
query
Filter by action id.
Schema: string
status
query
Filter by event destination status.
Schema: string (to_do, in_progress, done, dismissed)
query
query
Search action titles or event notes.
Schema: string
page
query
Page number.
Schema: integer
size
query
Page size.
Schema: integer
Responses
200
Paginated action event history.
application/json{
"type": "object",
"additionalProperties": false,
"properties": {
"items": {
"type": "array",
"items": {
"type": "object",
"additionalProperties": true,
"properties": {
"id": {
"type": "string"
},
"actionId": {
"type": "string"
},
"actionTitle": {
"type": "string"
},
"actionType": {
"type": "string"
},
"fromStatus": {
"type": "string",
"nullable": true
},
"toStatus": {
"type": "string",
"enum": [
"to_do",
"in_progress",
"done",
"dismissed"
]
},
"note": {
"type": "string",
"nullable": true
},
"createdAt": {
"type": "string",
"format": "date-time"
}
},
"required": [
"id",
"actionId",
"actionTitle",
"actionType",
"toStatus",
"createdAt"
]
}
},
"total": {
"type": "integer"
},
"page": {
"type": "integer"
},
"size": {
"type": "integer"
},
"totalPages": {
"type": "integer"
}
},
"required": [
"items",
"total",
"page",
"size",
"totalPages"
]
}Try it
Send this request to the local WatchLLM REST handler. Use a key from `/workspace/api`; organization keys can include `X-Project-Id` only when the endpoint documents that header.